org.eclipse.rdf4j.model.vocabulary

## Class HYDRA

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.HYDRA

-     public class HYDRA
      extends Object

  Constants for the Hydra Core Vocabulary.
  See Also:
    Hydra Core Vocabulary

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `API_DOCUMENTATION`
    `static IRI` | `API_DOCUMENTATION_PROP`
    `static IRI` | `CLASS`
    `static IRI` | `COLLECTION`
    `static IRI` | `COLLECTION_PROP`
    `static IRI` | `DESCRIPTION`
    `static IRI` | `ENTRYPOINT`
    `static IRI` | `ERROR`
    `static IRI` | `EXPECTS`
    `static IRI` | `EXPECTS_HEADER`
    `static IRI` | `FIRST`
    `static IRI` | `FREETEXT_QUERY`
    `static IRI` | `IRI_TEMPLATE`
    `static IRI` | `IRI_TEMPLATE_MAPPING`
    `static IRI` | `LAST`
    `static IRI` | `LIMIT`
    `static IRI` | `LINK`
    `static IRI` | `MAPPING`
    `static IRI` | `MEMBER`
    `static IRI` | `METHOD`
    `static String` | `NAMESPACE` The HYDRA namespace: http://www.w3.org/ns/hydra/core#
    `static IRI` | `NEXT`
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the HYDRA namespace.
    `static IRI` | `OFFSET`
    `static IRI` | `OPERATION`
    `static IRI` | `OPERATION_PROP`
    `static IRI` | `PAGE_INDEX`
    `static IRI` | `PAGE_REFERENCE`
    `static IRI` | `PARTIAL_COLLECTION_VIEW`
    `static IRI` | `POSSIBLE_STATUS`
    `static String` | `PREFIX` The recommended prefix for the HYDRA namespace: "hydra"
    `static IRI` | `PREVIOUS`
    `static IRI` | `PROPERTY`
    `static IRI` | `READABLE`
    `static IRI` | `REQUIRED`
    `static IRI` | `RESOURCE`
    `static IRI` | `RETURNS`
    `static IRI` | `RETURNS_HEADER`
    `static IRI` | `SEARCH`
    `static IRI` | `STATUS`
    `static IRI` | `STATUS_CODE`
    `static IRI` | `SUPPORTED_CLASS`
    `static IRI` | `SUPPORTED_OPERATION`
    `static IRI` | `SUPPORTED_PROPERTY`
    `static IRI` | `SUPPORTED_PROPERTY_PROP`
    `static IRI` | `TEMPLATE`
    `static IRI` | `TEMPLATED_LINK`
    `static IRI` | `TITLE`
    `static IRI` | `TOTAL_ITEMS`
    `static IRI` | `VARIABLE`
    `static IRI` | `VARIABLE_REPRESENTATION`
    `static IRI` | `VARIABLE_REPRESENTATION_PROP`
    `static IRI` | `VIEW`
    `static IRI` | `WRITABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HYDRA()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      The HYDRA namespace: http://www.w3.org/ns/hydra/core#
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      The recommended prefix for the HYDRA namespace: "hydra"
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the HYDRA namespace.

    - #### API_DOCUMENTATION

          public static final IRI API_DOCUMENTATION

    - #### CLASS

          public static final IRI CLASS

    - #### COLLECTION

          public static final IRI COLLECTION

    - #### ERROR

          public static final IRI ERROR

    - #### IRI_TEMPLATE

          public static final IRI IRI_TEMPLATE

    - #### IRI_TEMPLATE_MAPPING

          public static final IRI IRI_TEMPLATE_MAPPING

    - #### LINK

          public static final IRI LINK

    - #### OPERATION

          public static final IRI OPERATION

    - #### PARTIAL_COLLECTION_VIEW

          public static final IRI PARTIAL_COLLECTION_VIEW

    - #### RESOURCE

          public static final IRI RESOURCE

    - #### STATUS

          public static final IRI STATUS

    - #### SUPPORTED_PROPERTY

          public static final IRI SUPPORTED_PROPERTY

    - #### TEMPLATED_LINK

          public static final IRI TEMPLATED_LINK

    - #### VARIABLE_REPRESENTATION

          public static final IRI VARIABLE_REPRESENTATION

    - #### API_DOCUMENTATION_PROP

          public static final IRI API_DOCUMENTATION_PROP

    - #### COLLECTION_PROP

          public static final IRI COLLECTION_PROP

    - #### DESCRIPTION

          public static final IRI DESCRIPTION

    - #### ENTRYPOINT

          public static final IRI ENTRYPOINT

    - #### EXPECTS

          public static final IRI EXPECTS

    - #### EXPECTS_HEADER

          public static final IRI EXPECTS_HEADER

    - #### FIRST

          public static final IRI FIRST

    - #### FREETEXT_QUERY

          public static final IRI FREETEXT_QUERY

    - #### LAST

          public static final IRI LAST

    - #### LIMIT

          public static final IRI LIMIT

    - #### MAPPING

          public static final IRI MAPPING

    - #### MEMBER

          public static final IRI MEMBER

    - #### METHOD

          public static final IRI METHOD

    - #### NEXT

          public static final IRI NEXT

    - #### OFFSET

          public static final IRI OFFSET

    - #### OPERATION_PROP

          public static final IRI OPERATION_PROP

    - #### PAGE_INDEX

          public static final IRI PAGE_INDEX

    - #### PAGE_REFERENCE

          public static final IRI PAGE_REFERENCE

    - #### POSSIBLE_STATUS

          public static final IRI POSSIBLE_STATUS

    - #### PREVIOUS

          public static final IRI PREVIOUS

    - #### PROPERTY

          public static final IRI PROPERTY

    - #### READABLE

          public static final IRI READABLE

    - #### REQUIRED

          public static final IRI REQUIRED

    - #### RETURNS

          public static final IRI RETURNS

    - #### RETURNS_HEADER

          public static final IRI RETURNS_HEADER

    - #### SEARCH

          public static final IRI SEARCH

    - #### STATUS_CODE

          public static final IRI STATUS_CODE

    - #### SUPPORTED_CLASS

          public static final IRI SUPPORTED_CLASS

    - #### SUPPORTED_OPERATION

          public static final IRI SUPPORTED_OPERATION

    - #### SUPPORTED_PROPERTY_PROP

          public static final IRI SUPPORTED_PROPERTY_PROP

    - #### TEMPLATE

          public static final IRI TEMPLATE

    - #### TITLE

          public static final IRI TITLE

    - #### TOTAL_ITEMS

          public static final IRI TOTAL_ITEMS

    - #### VARIABLE

          public static final IRI VARIABLE

    - #### VARIABLE_REPRESENTATION_PROP

          public static final IRI VARIABLE_REPRESENTATION_PROP

    - #### VIEW

          public static final IRI VIEW

    - #### WRITABLE

          public static final IRI WRITABLE

  - ### Constructor Detail

    - #### HYDRA

          public HYDRA()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.